Skip to content

Get all weeks in a season with their date ranges

GET
/xp/season/{seasonId}/weeks
curl --request GET \
--url https://api.ethos.network/api/v2/xp/season/1/weeks
seasonId
required
number

Successful response

Media typeapplication/json
Array<object>
object
week
required
number
startDate
required
string
endDate
required
string

Example generated

[
{
"week": 1,
"startDate": "example",
"endDate": "example"
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}